hpp-core: hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder > Class Template Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder > Class Template Reference
Steering method and distance functions

`#include <hpp/core/steering-method/spline.hh>`

Inheritance diagram for hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >:
[legend]
Collaboration diagram for hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >:
[legend]

## Public Types
enum | { PolynomeBasis = _PolynomeBasis , SplineOrder = _SplineOrder }
typedef path::Spline< PolynomeBasis, SplineOrder > | SplinePath
typedef SplinePath::Ptr_t | SplinePathPtr_t
typedef shared_ptr< Spline > | Ptr_t
typedef weak_ptr< Spline > | WkPtr_t

## Public Member Functions
virtual SteeringMethodPtr_t | copy () const
| Copy instance and return shared pointer.
virtual PathPtr_t | impl_compute (ConfigurationIn_t q1, ConfigurationIn_t q2) const
| create a path between two configurations
PathPtr_t | steer (ConfigurationIn_t q1, std::vector< int > order1, matrixIn_t derivatives1, ConfigurationIn_t q2, std::vector< int > order2, matrixIn_t derivatives2, value_type length=-1, bool se3Output=false) const
Public Member Functions inherited from hpp::core::SteeringMethod
PathPtr_t | operator() (ConfigurationIn_t q1, ConfigurationIn_t q2) const
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const
virtual | ~SteeringMethod ()
ProblemConstPtr_t | problem () const
void | constraints (const ConstraintSetPtr_t &constraints)
| Set constraint set.
const ConstraintSetPtr_t & | constraints () const
| Get constraint set.

## Static Public Member Functions
static Ptr_t | create (const ProblemConstPtr_t &problem)
static Ptr_t | createCopy (const Ptr_t &other)
| Copy instance and return shared pointer.

## Protected Member Functions
| Spline (const ProblemConstPtr_t &problem)
| Constructor.
| Spline (const Spline &other)
| Copy constructor.
void | init (WkPtr_t weak)
| Store weak pointer to itself.
Protected Member Functions inherited from hpp::core::SteeringMethod
| SteeringMethod (const ProblemConstPtr_t &problem)
| Constructor.
| SteeringMethod (const SteeringMethod &other)
void | init (SteeringMethodWkPtr_t weak)
| Store weak pointer to itself.

## Detailed Description

template<int _PolynomeBasis, int _SplineOrder>
class hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >

Steering method that creates path::Spline instances

## Member Typedef Documentation

## ◆ Ptr_t

template<int _PolynomeBasis, int _SplineOrder>

typedef shared_ptr<Spline> hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >::Ptr_t

## ◆ SplinePath

template<int _PolynomeBasis, int _SplineOrder>

typedef path::Spline<PolynomeBasis, SplineOrder> hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >::SplinePath

## ◆ SplinePathPtr_t

template<int _PolynomeBasis, int _SplineOrder>

typedef SplinePath::Ptr_t hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >::SplinePathPtr_t

## ◆ WkPtr_t

template<int _PolynomeBasis, int _SplineOrder>

typedef weak_ptr<Spline> hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >::WkPtr_t

## Member Enumeration Documentation

## ◆ anonymous enum

template<int _PolynomeBasis, int _SplineOrder>

anonymous enum

Enumerator
PolynomeBasis |
SplineOrder |

## Constructor & Destructor Documentation

## ◆ Spline() [1/2]

template<int _PolynomeBasis, int _SplineOrder>

hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >::Spline | ( | const ProblemConstPtr_t & | problem | ) |
| protected

Constructor.

## ◆ Spline() [2/2]

template<int _PolynomeBasis, int _SplineOrder>

hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >::Spline | ( | const Spline< _PolynomeBasis, _SplineOrder > & | other | ) |
| protected

Copy constructor.

## Member Function Documentation

## ◆ copy()

template<int _PolynomeBasis, int _SplineOrder>

virtual SteeringMethodPtr_t hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >::copy | ( |  | ) | const
| inlinevirtual

Copy instance and return shared pointer.

Implements hpp::core::SteeringMethod.

## ◆ create()

template<int _PolynomeBasis, int _SplineOrder>

static Ptr_t hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >::create | ( | const ProblemConstPtr_t & | problem | ) |
| inlinestatic

## ◆ createCopy()

template<int _PolynomeBasis, int _SplineOrder>

static Ptr_t hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >::createCopy | ( | const Ptr_t & | other | ) |
| inlinestatic

Copy instance and return shared pointer.

## ◆ impl_compute()

template<int _PolynomeBasis, int _SplineOrder>

virtual PathPtr_t hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >::impl_compute | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| virtual

create a path between two configurations

Implements hpp::core::SteeringMethod.

## ◆ init()

template<int _PolynomeBasis, int _SplineOrder>

void hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >::init | ( | WkPtr_t | weak | ) |
| inlineprotected

Store weak pointer to itself.

## ◆ steer()

template<int _PolynomeBasis, int _SplineOrder>

PathPtr_t hpp::core::steeringMethod::Spline< _PolynomeBasis, _SplineOrder >::steer | ( | ConfigurationIn_t | q1,
|  | std::vector< int > | order1,
|  | matrixIn_t | derivatives1,
|  | ConfigurationIn_t | q2,
|  | std::vector< int > | order2,
|  | matrixIn_t | derivatives2,
|  | value_type | length = `-1`,
|  | bool | se3Output = `false`
| ) |  | const

create a path between two configurations with desired derivatives at the limits

Parameters

  q1,q2 | robot configuration at each end
  order1,order2 | list of derivative orders
  derivatives1,derivatives2 | desired derivatives at each end
  length | if positive, this is the length of the returned path. Otherwise, the length is computed using \r Problem::distance
  se3Output | if true interpolation of freeflyer joints take place in \(SE(3)\), otherwise interpolation takes place in \(\mathbf{R}^3\times SO(3)\).

The documentation for this class was generated from the following files:

- include/hpp/core/steering-method/fwd.hh
- include/hpp/core/steering-method/spline.hh